Community

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Community

    java.lang.Object
      com.fenalco.entities.Community

    public class Community

extends java.lang.Object

Representa una comunidad

Author:
  andres

Field Summary
`private int` | `id` Identificador de cada comunidad
`private java.lang.String` | `name` Nombre que el proveedor le ha dado a la comunidad
`private int` | `supplierId` Proveedor al que pertenece la comunidad

Constructor Summary
`Community()` Constructor por omisión que crea una comunidad vacia
`Community(int cId)` Constructor que crea una comunidad a partir de su id en la base de datos

Method Summary
`boolean` | `addStore(Transaction t, int storeId)` Este método permite adicionar un establecimiento a una comunidad
`boolean` | `delete(Transaction transaction)` Elimina la información de la comunidad de la base de datos construyendo el sql y pasandoselo a la transacción
`static int` | `getComunityOfShopKeeper(int store, int supplier)`
`int` | `getId()` Getter for property id.
`java.lang.String` | `getName()` Getter for property name.
`int` | `getSupplierId()` Getter for property supplierId.
`private boolean` | `loadData(int comId)`
`boolean` | `removeStore(Transaction t, int storeId)` Este método permite eliminar a un establecimiento de una comunidad
`boolean` | `saveData(Transaction transaction)` Almacena la información de la comunidad en la base de datos construyendo el sql y pasandoselo a la transaccion
`void` | `setId(int id)` Setter for property id.
`void` | `setName(java.lang.String name)` Setter for property name.
`void` | `setSupplierId(int supplierId)` Setter for property supplierId.
`boolean` | `update(Transaction transaction)` Actualiza la información de la comunidad en la base de datos construyendo el sql y pasandoselo a la transacción

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  Identificador de cada comunidad

### supplierId

    private int supplierId

  Proveedor al que pertenece la comunidad

### name

    private java.lang.String name

  Nombre que el proveedor le ha dado a la comunidad

Constructor Detail

### Community

    public Community()

  Constructor por omisión que crea una comunidad vacia

### Community

    public Community(int cId)

  Constructor que crea una comunidad a partir de su id en la base de datos

  Parameters:
    `cId` - Identificador de la comunidad

Method Detail

### loadData

    private boolean loadData(int comId)

### saveData

    public boolean saveData(Transaction transaction)

  Almacena la información de la comunidad en la base de datos construyendo el sql y pasandoselo a la transaccion

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### update

    public boolean update(Transaction transaction)

  Actualiza la información de la comunidad en la base de datos construyendo el sql y pasandoselo a la transacción

  Parameters:
    `transaction` - La transacción que se está ejecutando
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### delete

    public boolean delete(Transaction transaction)

  Elimina la información de la comunidad de la base de datos construyendo el sql y pasandoselo a la transacción

  Parameters:
    `transaction` - La transacción que se está ejecutabdo
  Returns:
    booleano que indica si se pudo ejecutar la operación o no

### addStore

    public boolean addStore(Transaction t,
                            int storeId)

  Este método permite adicionar un establecimiento a una comunidad

  Parameters:
    `transaction` - Transacción que se está ejecutando
    `storeId` - Identificador de establecimiento
  Returns:
    Valor booleano que indica si la opearción tuvo éxito o no

### removeStore

    public boolean removeStore(Transaction t,
                               int storeId)

  Este método permite eliminar a un establecimiento de una comunidad

  Parameters:
    `transaction` - Transacción que se está ejecutando
    `storeId` - Identificador del establecimiento
  Returns:
    Valor booleano que indica si la opearción tuvo éxito o no

### getId

    public int getId()

  Getter for property id.

  Returns:
    Value of property id.

### setId

    public void setId(int id)

  Setter for property id.

  Parameters:
    `id` - New value of property id.

### getSupplierId

    public int getSupplierId()

  Getter for property supplierId.

  Returns:
    Value of property supplierId.

### setSupplierId

    public void setSupplierId(int supplierId)

  Setter for property supplierId.

  Parameters:
    `supplierId` - New value of property supplierId.

### getName

    public java.lang.String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(java.lang.String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getComunityOfShopKeeper

    public static int getComunityOfShopKeeper(int store,
                                              int supplier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD